
config more[off]
spool file[p_hww07.out]


# PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)
# FACULTY:		Dan McFadden
# AUTHOR:		Peter Adams
# LAST UPDATE:		August 08, 2001
# PROGRAM DESC:		Cognitive Impairment Counts (85+)


load file[hww123]


# ====================================================================
# THRESHOLD == 0.05
# ====================================================================

calc cogthrv = quantile(gcog1,0.05); if[(agegrp1==1)]
calc cogthrv
set cogthr=cogthrv

set cogim1 = (gcog1<cogthr)
set cogim1 = cogimp1; if[proxyw1==1]
set cogim2 = (gcog2<cogthr)
set cogim2 = cogimp2; if[proxyw2==1]
set cogim3 = (gcog3<cogthr)
set cogim3 = cogimp3; if[proxyw3==1]
set cogim2 = cogim2|cogim1
set cogim3 = cogim3|cogim2

# WAVE 1 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim1 proxyw1] row if[(agegrp1>=4)&(white==1)&(status1==2)]

# WAVE 2 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim2 proxyw2] row if[(agegrp2>=4)&(white==1)&(status2==2)]

# WAVE 3 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim3 proxyw3] row if[(agegrp3>=4)&(white==1)&(status3==2)]


# ====================================================================
# THRESHOLD == 0.10
# ====================================================================

calc cogthrv = quantile(gcog1,0.10); if[(agegrp1==1)]
calc cogthrv
set cogthr=cogthrv

set cogim1 = (gcog1<cogthr)
set cogim1 = cogimp1; if[proxyw1==1]
set cogim2 = (gcog2<cogthr)
set cogim2 = cogimp2; if[proxyw2==1]
set cogim3 = (gcog3<cogthr)
set cogim3 = cogimp3; if[proxyw3==1]
set cogim2 = cogim2|cogim1 
set cogim3 = cogim3|cogim2

# WAVE 1 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim1 proxyw1] row if[(agegrp1>=4)&(white==1)&(status1==2)]

# WAVE 2 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim2 proxyw2] row if[(agegrp2>=4)&(white==1)&(status2==2)]

# WAVE 3 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim3 proxyw3] row if[(agegrp3>=4)&(white==1)&(status3==2)]


# ====================================================================
# THRESHOLD == 0.15
# ====================================================================

calc cogthrv = quantile(gcog1,0.15); if[(agegrp1==1)]
calc cogthrv
set cogthr=cogthrv

set cogim1 = (gcog1<cogthr)
set cogim1 = cogimp1; if[proxyw1==1]
set cogim2 = (gcog2<cogthr)
set cogim2 = cogimp2; if[proxyw2==1]
set cogim3 = (gcog3<cogthr)
set cogim3 = cogimp3; if[proxyw3==1]
set cogim2 = cogim2|cogim1
set cogim3 = cogim3|cogim2

# WAVE 1 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim1 proxyw1] row if[(agegrp1>=4)&(white==1)&(status1==2)]

# WAVE 2 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim2 proxyw2] row if[(agegrp2>=4)&(white==1)&(status2==2)]

# WAVE 3 COGNITIVE IMPAIRMENT (WHITE, 85+)
# ----------------------------------------------------------
table var[male cogim3 proxyw3] row if[(agegrp3>=4)&(white==1)&(status3==2)]


spool off
quit
