
% PROJECT:		Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:		Daniel McFadden
% AUTHOR:		Peter Adams
% LAST UPDATE:		February 17, 2002
% PROGRAM DESC:		Reset Variables (7): Scenario #1


% ===========================================================================
% RESET WEALTH/INCOME QUARTILES
% ===========================================================================

r_married1=r_married2;
s_married1=r_married1;
married1=[r_married1; s_married1(c_row,1)];

c_2w2=c_2l2+c_2n2;
W2=zeros(NOBS,1);
W2(VALID,1)=cW*c_2w2(VALID,1)-dW;		%normalized Total Wealth
zW2=zeros(NOBS,1);
zW2(VALID,1)=1./(1+exp(-W2(VALID,1)));		%logistic Total Wealth	

temp=[married1 1-married1];

zthr=temp*q_zW1;
q1wb2=zeros(NOBS,1);
q1wb2(VALID,1)=(zW2(VALID,1)<zthr(VALID,1));
q4wb2=zeros(NOBS,1);
q4wb2(VALID,1)=(zW2(VALID,1)>zthr(VALID,2));

zthr=temp*q_zN1;
q1ib2=zeros(NOBS,1);
q1ib2(VALID,1)=(zN2(VALID,1)<zthr(VALID,1));
q4ib2=zeros(NOBS,1);
q4ib2(VALID,1)=(zN2(VALID,1)>zthr(VALID,2));


% ===========================================================================
% RESET WEALTH/INCOME VARIABLES
% ===========================================================================

zWL1=zWL2;
zWN1=zWN2;
zN1=zN2;

WL1=WL2;
WN1=WN2;
N1=N2;

c_2l1=c_2l2;
c_2n1=c_2n2;
c_2w1=c_2w2;
c_2i1=c_2i2;


% ===========================================================================
% RESET EXOGENOUS VARIABLES
% ===========================================================================

agem1=agem1+12;

xxsim(:,2)=max(agem1-840,0);			%as701
xxsim(:,3)=max(agem1-960,0);			%as801
xxsim(:,4)=q1wb2;				%q1wb1
xxsim(:,5)=q4wb2;				%q4wb1
xxsim(:,6)=q1ib2;				%q1ib1
xxsim(:,7)=q4ib2;				%q4ib1
xxsim(:,13)=xxsim2(:,13)+widow2;		%widow1

xxsim(:,17)=xxsim2(:,17)+xxsim2(:,55);		%smokev
xxsim(:,17)=(xxsim(:,17)>0);


% ===========================================================================
% RESET PREVALENCE VARIABLES
% ===========================================================================

xxsim(:,18:20)=xxsim2(:,18:20)+xxsim2(:,39:41);	%cancer1,heart1,stroke1
xxsim(:,18:20)=(xxsim(:,18:20)>0);

run_out2;

xxsim(:,21:24)=xxsim2(:,21:24)+xxsim2(:,42:45);	%lung1,...,arthrt1
xxsim(:,21:24)=(xxsim(:,21:24)>0);

xxsim(:,25:27)=xxsim2(:,25:27)+xxsim2(:,46:48);	%incont1,fall1,hipfrc1
xxsim(:,25:27)=(xxsim(:,25:27)>0);

xxsim(:,28)=xxsim2(:,49);			%proxyw1

xxsim(:,29:31)=xxsim2(:,29:31)+xxsim2(:,50:52);	%cogim1,...,depres1
xxsim(:,29:31)=(xxsim(:,29:31)>0);

xxsim(:,32)=bmi2;				%bmi1
xxsim(:,33)=(bmi2<20).*(20-bmi2);		%lobmi1
xxsim(:,34)=(bmi2>25).*(bmi2-25);		%hibmi1

xxsim(:,35)=xxsim2(:,55);			%smoknow1
xxsim(:,36)=xxsim2(:,56);			%numadl1
xxsim(:,37)=xxsim2(:,57);			%numiadl1
xxsim(:,38)=xxsim2(:,58);			%dhlth1


% ===========================================================================
% OUTPUT PREVALENCE, WEALTH
% ===========================================================================

run_out3;
run_out4;


% ===========================================================================
% RESET OTHER VARIABLES
% ===========================================================================

%r_as701=xxsim(r_row,2);
%s_as701=zeros(size(r_row,1),1);
%s_as701(c_row,1)=xxsim(sp_row,2);

%r_as801=xxsim(r_row,3);
%s_as801=zeros(size(r_row,1),1);
%s_as801(c_row,1)=xxsim(sp_row,3);

%sum(xxsim2(VALID,4:7),1)/size(VALID,1)
%sum(xxsim(VALID,4:7),1)/size(VALID,1)

mort1=mort2;

clear temp;

